* {
    list-style-type: none;
    text-decoration: none;
}




:root {
    --color-1: #29124d;
    --color-2: red;
    --color-3: #6f42c1;
    --color-4: #A7B3B1;
    --color-5:#e70404;
    --color-white: #fff;

    --color-bg: #070111;
    --transition: all 400ms linear;
}


body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style-type: none;
    background-color: var(--color-bg);
    text-decoration: none;
    font-family: 'Noto Sans', sans-serif;
    position: relative;
    font-size: 1.6rem;
}


/* NAVIGATION */

nav {
    width: 100%;
    /* position: absolute; */

}
.nav-bar {
    width: 100%;
    height: 6rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    z-index: 1;
    background-color: transparent;
    /* position: absolute; */
}



.brand{
    font-family: 'Russo One', sans-serif;
    font-size: 1rem;
    cursor: pointer;
}
.name1 {
    color: var(--color-5);
    font-size: 1.5rem;

}

.name2 {
    color: var(--color-4);
    font-size: 1.1rem;
    margin-left: -.5rem;
}
nav ul {
    width: 65%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
nav ul a {
    color: var(--color-4);
    text-decoration: none;
    font-size: 1.1rem;
    font-family: 'Russo One', sans-serif;
    z-index: 1;
    cursor: pointer;
    transition: var(--transition);
}
nav ul a:hover {
    color: var(--color-5);
}
#casts {
    text-decoration: underline wavy;
}

.open-bar, .close-bar {
    display: none;
}



/* EACH CAST SECTION */



.cast {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 97%;
    margin: 5% auto;
}

.carousel-inner {
    width: 15rem;
}



progress {
    width: 85%;
    height: 3px;
    margin-bottom: 10px
}
progress[value] {
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--color-1);
}

progress[value]::-webkit-progress-value {
    background-color: var(--color-1);
}


.cast-text {
    padding: 10px;

}
.cast-text h1 {
    color: var(--color-4);
    font-weight: bolder;
    font-size: 3.9rem;
} 
.cast-text p {
    font-size: 20px;
    line-height: 2;
    text-align: justify;
    color: var(--color-4);
}

.cast-btn{
    background-color: var(--color-2);
    padding: 10px;
    transition: var(--transition);
    border-radius: 5px;
    font-size: 15px;
}
.cast-btn:hover {
    background-color: var(--color-3);
}
.cast-btn a {
    text-decoration: none;
    color: var(--color-white);
}


.potter, .strange {
    word-spacing: 20px;
}


.avengers img{
    width: 20rem;
} 
.avengers img{
    width: 20rem;
}
.alladin img {
    width: 24rem;
}
.harry img {
    width: 24rem;
}

.dune img {
    width: 20rem;
}

.red-notice img {  
    width: 24rem;
}

.bb img{
    width: 20rem;
}
.doctor img{
    width: 22rem;
}




/* FOOTER */


footer {
    margin-top: 4rem;
    font-family: 'Russo One', sans-serif;
}

.footer-one {
    width: 97%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px 3%;
    /* height: 6rem; */
}

.brand2 {
    font-size: 1rem;
    cursor: pointer;
}
.brand2 h2 {
    color: #D72508;
    font-size: 1.2rem;

}
.brand2b {
    color: var(--color-4);
    font-size: 1rem;
    margin-left: -.3rem;
}
.brand2b:hover {
    color: #D72508;
}

.ul1 {
    width: 50%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-left: 11%;
}

.ul1 a {
    color: var(--color-4);
    font-size: 1.3rem;
    text-decoration: none;
}
.ul1 a:hover {
    color: #D72508;
}

.ul2 {
    width: 25%;
    display: flex;
    align-items: center;
    gap: 4rem;
}
.ul2 i {
    color: var(--color-4);
}
.ul2 i:hover {
    color: #D72508;
}

.footer-two {
    margin-top: 4rem;
}
.footer-two p {
    color: #6d7275;
    text-align: center;
    font-size: 1.3rem;
}











/* MEDIA QUERIES */


@media screen and (max-width:1024px) {
    nav {
        height: 4rem;
        
    }
    nav {
        /* width: 90%; */
        justify-content: space-between;
        align-items: center;
        /* padding: 0 30px 0 40px; */
        place-items: center;
    }
    
    .brand{
        font-size: 0.6rem;
    }
    
    .name2 {
        font-size: 1.1rem;
    }
    /* nav ul {
        width: 60%;
    } */
    nav ul a {
        font-size: 0.9rem;
    }



    .cast {
        flex-direction: column;
        /* margin: 5% 2% 0% 2%; */
        width: 97%;
        margin: 5% auto;
        /* margin-top: 5rem; */
    }
    .carousel-inner {
        width: 25rem;
    }

    .cast-text p {
        font-size: 30px;
    }

    .black-widow, .avengers, .alladin, .harry, .dune, .red-notice, .bb, .doctor, .spider-man{
        display: none;
    }





    .footer-one {
        width: 100%;
        margin: 0px auto;
        flex-direction: column;
        gap: 0;
    }
    .brand2 {
        font-size: 1.5rem;
    }
    .brand2 h2 {
        font-size: 2rem;
    
    }
    .brand2b {
        font-size: 1.6rem;
        margin-left: -.6rem;
    }
    .ul1 {
        flex-direction: column;
        padding-left: 0%;
        width: 100%;
        justify-content: center;
        gap: 0.3rem;
        margin: -0.5rem auto -0.5rem;
    }
    .ul1 a {
        font-size: 1.8rem;
    }
    .ul2 {
        width: 100%;
        justify-content: center;
        gap: 2rem;
        margin-right: 40px;
    }
    .ul2 i {
        font-size: 40px;
        margin-top: 10px;
    }
    .footer-two {
        margin-top: 2rem;
    }
    .footer-two p {
        font-size: 1.8rem;
    }
}




@media screen and (max-width:768px) {
    .nav-bar {
        width: 90%;
        height: 4rem;
        justify-content: space-between;
        margin:0 auto;

    }
    nav ul {
        position: absolute;
        top: -1.1rem;
        left: 40%;
        flex-direction: column;
        display: none;
        /* width: 100%; */
        width: 40%;
        animation: animateNavItem 400ms linear forwards;
        transform-origin: top right;
        opacity: 0;
        z-index: 1;
    }
    
    nav ul li {
        height: 20px;
        margin-top: 6px;
    }
    @keyframes animateNavItem {
        0% {
            transform: rotateZ(-90deg) rotateY(90deg) scale(0.1);
        }
        100% {
            transform: rotateZ(0);
            opacity: 1;
        }
    }
    nav ul a {
        font-size: 11px;
        z-index: 1;
    }
    #casts {
        text-decoration: underline;
    }
    .btn {
        position: absolute;
        top: 5px;
        left: 86%;
    }
    
    .open-bar, .close-bar {
        background-color: transparent;
        border: none;
        font-size: 25px;
        display: inline-block;
        cursor: pointer;
    }
    .close-bar {
        display: none;
    }
    .fa-bars, .fa-x {
        color: var(--color-4);
    }
    .brand{
        font-size: 1rem;
    }

    .name1 {
        font-size: 1rem;
    
    }
    
    .name2 {
        font-size: 0.8rem;
    }

    .carousel-inner {
        width: 30rem;
    }

    .cast-text h1 {
        font-size: 3.4rem;
    } 

    .cast-text p{
        line-height: 2;
        font-size: 35px;
    }



    
}





@media screen and (max-width: 480px) {
    .brand{
        font-size: 0.5rem;
    }
    
    .name2 {
        font-size: 0.7rem;
        margin-left: -.3rem;
    }



    .carousel-inner {
        width: 22rem;
    }

    .cast-text h1 {
        font-size: 1.8rem;
    } 

    .cast-text p{
        font-size: 18px;
    }


   
    




    footer {
        margin-top: 2rem;
    }

    .brand2 {
        font-size: 1rem;
        margin-bottom: 0.5rem;
    }
    .brand2 h2 {
        font-size: 1.5rem;
    
    }
    .brand2b {
        font-size: 1.2rem;
        margin-left: -.5rem;
    }
    .ul1 a {
        font-size: 1rem;
    }
    .ul2 {
        gap: 1rem;
    }
    .ul2 i {
        font-size: 30px;
        margin-top: 5px;
    }

    .footer-two p {
        font-size: 1rem;
    }
}




@media screen and (max-width: 280px) {
    .carousel-inner {
        width: 15rem;
    }
}









